//
//  FlutterPlayerPlugin.h
//  interactive_game_sdk
//
//  Created by edz on 2020/9/16.
//

#import <Foundation/Foundation.h>
#import <Flutter/Flutter.h>
#import "FlutterPlayerView.h"
#import "SWGameClient.h"

NS_ASSUME_NONNULL_BEGIN

@interface FlutterPlayerPlugin : NSObject<FlutterPlugin>

+ (void)createPlayerWithView:(FlutterPlayerView *)playerView
              viewIdentifier:(int64_t)viewId
             binaryMessenger:(NSObject<FlutterBinaryMessenger>*)messenger
                  gameClient:(SWGameClient *)gameClient;

@end

NS_ASSUME_NONNULL_END
