//
//  SWHYMessageDelivery.h
//  PlaySDK
//
//  Created by edz on 2020/9/7.
//  Copyright © 2020 iShunwan. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SWHYCloudGameProtocol.h"
#import "SWHYSocketRocket.h"


@interface SWHYMessageDelivery : NSObject

- (instancetype)initWithDelegate:(NSObject<SWHYCloudGameProtocol> *)delegatge socket:(SWHYSocketRocket *)socket;

- (void)recivedWebSocketMessage:(NSDictionary *)message;

- (void)reportPadSession:(NSDictionary *)dataDict;

- (void)grantCtrlPad:(NSDictionary *)dataDict;

- (void)revokeCtrlPad:(NSDictionary *)dataDict;

- (void)leaveChannel:(NSDictionary *)dataDict;

@end

